BaseloopDocs
Rows

Search and filter rows

Returns the same rows as GET /tables/{tableId}/rows, narrowed by text search, column filters or both.

POST
/tables/{tableId}/rows/query

Authorization

apiKey
AuthorizationBearer <token>

Your organization API key, from Settings > API key in the app.

In: header

Path Parameters

tableId*string

Table ID from GET /tables.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/tables/string/rows/query" \  -H "Content-Type: application/json" \  -d '{    "limit": 25,    "query": "acme",    "filters": {      "combinator": "and",      "rules": [        {          "fieldId": "<fieldId>",          "operator": "notNull"        }      ]    }  }'
{  "rows": [    {      "id": "string",      "tableId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "createdByUserId": "string",      "cells": {        "property1": {          "value": null,          "status": null,          "isTruncated": true,          "valuePreview": "string",          "errorMessage": null        },        "property2": {          "value": null,          "status": null,          "isTruncated": true,          "valuePreview": "string",          "errorMessage": null        }      }    }  ],  "limit": 0,  "nextCursor": "string",  "hasNextPage": true}